### Hierarchy

- Layer
  - default

## Index

### Constructors

- constructor

### Properties

- getRotation
- getScale
- getSize

### Methods

- render

## Constructors

### constructor

- new default(options?: {}): default

- Overrides Layer.constructor

  - Defined in src/print/Mask.js:31

  #### Parameters

  - ##### options: {} = {}

  #### Returns default

## Properties

### getRotation

getRotation: (() => number)

#### Type declaration

- - (): number

  - #### Returns number

### getScale

getScale: ((arg0: FrameState) => number)

#### Type declaration

- - (arg0: FrameState): number

  - #### Parameters

    - ##### arg0: FrameState

    #### Returns number

### getSize

getSize: (() => Size)

#### Type declaration

- - (): Size

  - #### Returns Size

## Methods

### render

- render(frameState: FrameState): HTMLElement

- Overrides Layer.render

  - Defined in src/print/Mask.js:62

  #### Parameters

  - ##### frameState: FrameState

  #### Returns HTMLElement

Generated using TypeDoc